
#include "DDDialogue.h"
#include "core/XMLPort.h"


namespace orxonox
{

    RegisterClass(DDDialogue);


    /**
    @brief
        Constructor. Registers and initializes the object.
    */
    DDDialogue::DDDialogue(Context* context) : BaseObject(context)
    {
        RegisterObject(DDDialogue);
    }

    //getResponses

    bool DDDialogue::execute(bool bTriggered, BaseObject* trigger)
    {  
        if(!bTriggered) return false;

        

        orxout() << "bTriggered is " << bTriggered;
        orxout() << " 1 " << mystring << endl;
        return false;
    }

    /**
    @brief
        Method for creating a Pickup object through XML.
    */
    void DDDialogue::XMLPort(Element& xmlelement, XMLPort::Mode mode)
    {
        SUPER(DDDialogue, XMLPort, xmlelement, mode);

        XMLPortParam(DDDialogue, "string", setString, getString, xmlelement, mode);
    }

    void DDDialogue::XMLEventPort(Element& xmlelement, XMLPort::Mode mode)
    {
        SUPER(DDDialogue, XMLEventPort, xmlelement, mode);

        XMLPortEventSink(DDDialogue, BaseObject, "execute", execute, xmlelement, mode); 
    }


}